<?php
include_once("./_common.php");

//-- 기본 리다이렉트
echo $_REQUEST["htImageInfo"];

//-- upload 위치
if(!$bo_table) $bo_table	= "_zmb";
$date_folder	= date("Ym");
$upload_pos		= "/data/zm.exp/se/";
$upload_path	= $g4[path] . $upload_pos . $bo_table . "/" . $date_folder;
$upload_url		= $g4[url] . $upload_pos . $bo_table . "/" . $date_folder;
if(!file_exists($upload_path)) zm_mkdir($upload_path);				//-- 없으면 생성

$url	= $_REQUEST["callback"] .'?callback_func='. $_REQUEST["callback_func"];
$bSuccessUpload = is_uploaded_file($_FILES['Filedata']['tmp_name']);
if (bSuccessUpload) {							//-- 성공 시 파일 사이즈와 URL 전송
	//-- 이미지 정보를 담을 테이블
	$sql_create	= "CREATE TABLE IF NOT EXISTS zm_se_images (
		db_recno int(11) NOT NULL auto_increment,
		db_table varchar(50) NOT NULL,
		db_wrid int(11) NOT NULL,
		db_folder varchar(10) NOT NULL,
		db_filename varchar(255) NOT NULL,
		db_datetime datetime NOT NULL default '0000-00-00 00:00:00',
		PRIMARY KEY  (db_recno)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";
	sql_query($sql_create);

	$tmp_name	= $_FILES['Filedata']['tmp_name'];
	$name		= $_FILES['Filedata']['name'];

	//-- 썸네일 옵션
	if($zm_board[thumbwidthsize] > 0 && $zm_board[thumbheightsize] > 0) $thumbsize	= $zm_board[thumbwidthsize] . "x" . $zm_board[thumbheightsize];
	//-- 워터마크 옵션
	if($zm_board[watermark])	$wmarkpath	= $zm_config[watermarkpath];
	else						$wmarkpath	= "";
	//-- zm_imgupload(이미지 이름, 서버 임시 파일, 업로드 경로, #워터마크 이미지, #워터마크 위치, #워터마크 투명도, #썸네일 크기, #이미지 제한 폭
	$res	= zm_imgupload("$name", "$tmp_name", "$upload_path", "$wmarkpath", "$zm_board[watermark]", "60", "$thumbsize", "$zm_board[imagewidthsize]");

	$new_name	= $res[savename];				//-- 저장 된 이름
	$url		.= "&bNewLine=true";
	$url		.= "&sFileName=".$new_name;
	$url		.= "&sFileURL=" . $upload_url . "/" . $new_name;

	//-- 테이블에 이미지 정보 기록 zm_se_images
	$n		= date("Y-m-d H:i:s", $g4[server_time]);
	sql_query("insert into zm_se_images set db_table='$bo_table', db_folder='$date_folder', db_filename='$new_name', db_datetime='$n'");
} else {										//-- 실패시 errstr=error 전송
	$url		.= '&errstr=error';
}
header('Location: '. $url);
?>